#' Lifetimes (in minutes) of lineage E. coli cells.
#'
#' A real cell lineage dataset taken from Cowan and Staudte (1986).
#' The values represent the lifetimes in minutes of lineage E. coli cells.
#' It contains 31 observations making which can be described by a bifurcating
#' autoregressive tree with 4 generations.
#'
#' @format A data frame with 31 rows and 1 variable:
#' \describe{
#'   \item{lifetime}{E. coli cells lifetime, in minutes}
#'   }
#'
#' @source Cowan, R. and Staudte, R. (1986). The Bifurcating Autoregression Model in Cell Lineage
#' Studies. \emph{Biometrics}, 42(4):769-783.
"ecoli"
